This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 719856

Summary: ALT-GR key not working in vnc client
Product: [Fedora] Fedora Reporter: Fujisan <fujisan43>
Component: tigervncAssignee: Adam Tkac <atkac>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: atkac, extras-orphan, notting, odin, ovasik
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 08:09:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Fujisan 2011-07-08 04:28:36 EDT
Description of problem:
When I connect to a remote host through a vnc client (remmina, vinagre, TigerVNC viewer, TS client, gnome-rdp ...), I cannot use the ALT-GR key on my french keyboard.

The ALT-GR key is used to type some characters.

KEY        : & é " ' ( - è _ ç à ) = $
SHIFT KEY  : 1 2 3 4 5 6 7 8 9 0 ° + £
ALT-GR KEY : ¹ ~ # { [ | ` \ ^ @ ] } ¤


Version-Release number of selected component (if applicable):
vnc server: tigervnc-server-minimal-1.0.90-0.25.20100813svn4123.fc14.x86_64
vnc client: tsclient-2.0.2-7.fc13.x86_64, vinagre-2.31.4-1.fc14.x86_64, remmina-0.7.5-3.fc14.x86_64, tigervnc-1.0.90-0.25.20100813svn4123.fc14.x86_64


How reproducible:
All the time with any client.

Steps to Reproduce:
1. Setup a vnc server.

Create file /etc/xinetd.d/vnc1920:

----------------------------
service vnc1920
{
disable = no
socket_type = stream
protocol = tcp
group = tty
wait = no
user = nobody
server = /usr/bin/Xvnc
server_args = -inetd -query localhost -geometry 1920x1200 -depth 24 -once -fp /usr/share/X11/fonts/misc -securitytypes=none
}
----------------------------

Modify file /etc/gdm/custom.conf so it lmooks like this:
----------------------------
# GDM configuration storage

[daemon]

[security]
DisallowTCP=false

[xdmcp]
Enable=true

[greeter]

[chooser]

[debug]
----------------------------

Modify file /etc/services so it looks like:

----------------------------
[...]
#vnc-server      5900/tcp                # VNC Server
#vnc-server      5900/udp                # VNC Server
vnc1920         5900/tcp                # VNC and GDM
[...]
----------------------------

Start vnc1920 service:

# service vnc1920 start

Make sure it starts at boot time:

# chkconfig vnc1920 on

You may have to reboot the server.

2. On the client, install a vnc client/viewer and connect to the remote vnc server.

3. When you get the login screen, log in and then open a terminal and type ALT-GR Key(à 0 @) to get a '@' for example.
You will only get a 'à'.
  
Additional info:
At the login screen however, i can get a '@' in the field where i type the login name.

Is this really a bug or a mis-configuration?
Comment 1 Odin Nøsen 2011-11-02 13:54:24 EDT
I've got exactly the same problem with AltGr with the norwegian keyboard layout - and use of Xvnc -inetd. It's ok if I start a VNC session directly (vncserver :1)

I can also add the latest windows version of TigerVNC client and the RealVNC client to the list of viewers that doesn't work.

Any tips on how to fix this?
Comment 2 Odin Nøsen 2011-11-02 13:56:17 EDT
I forgot to mention that I use the tigervnc-server in F14 and CentOS6. This is a server bug, not a client bug (I think).
Comment 3 Fedora End Of Life 2012-08-16 08:09:41 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping